JsUnit

## Class MockXmlHttpRequest

    Object
       |
       +--MockXmlHttpRequest

class MockXmlHttpRequest

A MockXmlHttpRequest implements the XmlHttpRequest API. It is intended for use when testing code that deals with AJAX.
Defined in jsUnitAjax.js

Field Summary
`Object` | `requestHeaderNamesToValues` stores the headers set on the request

Constructor Summary
`MockXmlHttpRequest()`

Method Summary
`void` | `open(method, url, isAsync, userName, password)` Implements open by storing all the arguments
`void` | `send(data)` Implements send by noting that send was called and storing the data given
`void` | `setRequestHeader(label, value)` Implements setRequestHeader by storing each header and its value in a hash

Field Detail

### requestHeaderNamesToValues

    Object requestHeaderNamesToValues

stores the headers set on the request

Constructor Detail

### MockXmlHttpRequest

    MockXmlHttpRequest()

Method Detail

### open

    void open(method, url, isAsync, userName, password)

Implements open by storing all the arguments

Parameters:

`method` -

`url` -

`isAsync` -

`userName` -

`password` -

### send

    void send(data)

Implements send by noting that send was called and storing the data given

Parameters:

`data` -

### setRequestHeader

    void setRequestHeader(label, value)

Implements setRequestHeader by storing each header and its value in a hash

Parameters:

`label` -

`value` -

JsUnit

www.jsunit.net
Documentation generated by JSDoc on Sun Sep 9 15:34:58 2007